/******************************************************************************
 * Licensed Materials - Property of IBM                                       *
 *                                                                            *
 * (C) Copyright by IBM 2003.  All Rights Reserved.                           *
 *****************************************************************************/

package com.BobCo.webobject;

import java.util.ListResourceBundle;

/**
 * This class contains all of the translatable text in the web
 * server managed object sample files.
 *
 * @see java.util.ListResourceBundle
 */
public class BCWebServerResourceBundle extends ListResourceBundle
{
  public Object[][] getContents()
  {
    return contents;
  }

  private static final Object[][] contents =
  {
      { "addpanel.err.title", "Server Communications Error" },
      { "addpanel.err.msg", "A communications error has occurred while attempting to\naccess the network." },
      { "addobject.badotherresult.title", "Add Web Server Error" },
      { "addobject.badaddrresult.title", "Invalid Address Error" },
      { "addobject.goodresult.title", "Add Succeeded" },
      { "addobject.badotherresult.msg", "An error occurred while attempting to add the new web server.\nThe web server has not been added." },
      { "addpanel.label.hostname", "Host Name:" },
      { "addobject.badaddrresult.msg", "The address provided for the new web server is not valid." },
      { "addpanel.label.address", "Network Address:" },
      { "addobject.goodresult.msg", "The request to add a new web server has been completed.\nThe new web server may not appear immediately if it is not\ncurrently online and running the web server daemon." },
      { "addobject.duplicateresult.title", "Duplicate Web Server Error" },
      { "addobject.duplicateresult.msg", "Another web server with the same address already exists.\nThe web server has not been added." },
      { "WebServerBrowserTitle", "Web Server Browser" },
      { "WebServerManagedObjectsTitle", "Web Server Browser" },
  };
}
