/******************************************************************************
 * Licensed Materials - Property of IBM                                       *
 *                                                                            *
 * PID (5697-TKT)                                                             *
 *                                                                            *
 * (C) Copyright by IBM 1999. All Rights Reserved.                            *
 *****************************************************************************/
package com.BobCo.inventory;
import java.util.ListResourceBundle;

public class BobCoTableResources extends ListResourceBundle {
    public Object[][] getContents() {
        return contents;
    }
    private static final Object[][] contents = {
        { "TableName.BobCoDeviceTable", "BobCo Devices" },
        { "QueryName.BobCoDeviceTable", "BobCo Devices" },
        { "ColumnName.BobCoDeviceTable.MANAGED_OBJ_ID", "Managed Object ID" },
        { "ColumnName.BobCoDeviceTable.DEVICE_INDEX", "Index for device" },
        { "ColumnName.BobCoDeviceTable.DEVICE_TYPE", "Type of device" },
	{ "ColumnName.BobCoDeviceTable.DEVICE_DATE", "Date of device" },
	{ "ColumnName.BobCoDeviceTable.DEVICE_CHIPSET", "Chipset of device" },
	{ "ColumnName.BobCoDeviceTable.DEVICE_SIZE", "Size of device" },
        { "FactoryName.factory1", "BobCo data" },
        { "FilterName.PentiumIII_and_Motorola", "Pentium III Systems with Motorola BobCo devices" },
        { "FilterTablePrompt.AllTrueForSame.BobCoDeviceTable", "All true for the same device" },
        { "FilterTablePrompt.EachTrueForAtLeastOne.BobCoDeviceTable", "Each must be true for at least one device" }
    };
}
