/*
 * Created on Dec 3, 2003
 *
 * 
 */
package com.ibm.sysmgt.sdk.remote.test;

import com.ibm.sysmgt.sdk.remote.*;
import java.util.List;

import junit.framework.Assert;

/**
 * @author Dave Wormald
 *
 * 
 */
public class TestGroups extends SetupToUseDirectorServer {

	public void testGetAllGroups() {
			try {
				List groupList = ManagedGroup.getAllGroups(s);
				
				assertNotNull(groupList);

			} catch (Exception e) {
				e.printStackTrace();
				fail(e.getMessage());
			}

		}


	public void testGetGroupByOID() {
			try {
				List groupList = ManagedGroup.getAllGroups(s);
				
				assertNotNull(groupList);

				assertTrue(groupList.size() > 0);

				ManagedGroup g = (ManagedGroup)  groupList.get(0);
				
				assertNotNull(g);
				
				ManagedGroup g2 = ManagedGroup.getGroupByOid(s, g.getOid());
				
				assertNotNull(g2);


			} catch (Exception e) {
				e.printStackTrace();
				fail(e.getMessage());
			}

		}





	/**
	 * 
	 */
	public TestGroups() {
		super();
	}

	/**
	 * @param arg0
	 */
	public TestGroups(String arg0) {
		super(arg0);
	}

}
