/*
 * Created on Nov 5, 2003
 *
 * 
 */
package com.ibm.sysmgt.sdk.remote.test;

import java.net.InetAddress;
import java.net.Socket;

import com.tivoli.twg.libs.TWGEnvironment;

import junit.framework.Assert;
import junit.framework.TestCase;

/**
 * @author Dave Wormald
 *

 */
public class TestLoadLibrary extends RemoteSdkTestCase {

	protected final void setUp() throws Exception {
		super.setUp();
		println("============== setUp(" + this.getName() + ") =============");

	}
	public void tearDown() {
		println(
			"============== tearDown(" + this.getName() + ") =============");

	}

	public void testlibraryPath() {

		if (TWGEnvironment.isWindows()) {
			String libPath = System.getProperty("java.library.path");
			System.out.println("libPath=" + libPath);
		}

	}
	
	
	boolean foo() {
		Socket s=null;
		InetAddress a = s.getInetAddress();
		InetAddress local = s.getLocalAddress();
		if (a.equals(local)) {
			return true;
		}
		return false;
	}

	public void testloadLibrary() {
		boolean useNative = false;

		if (TWGEnvironment.isWindows()) {
			try {
				useNative = TWGEnvironment.loadLibrary("bmjniipc");

			} catch (Exception e) {
				fail();
			}
			println("useNative=" + useNative);
		}
	}

}
