/******************************************************************************
 * Licensed Materials - Property of IBM                            *
 *                                                                            *
 * PID (5697-TKT)                                                             *
 *                                                                            *
 * (C) Copyright by IBM 1999. All Rights Reserved. *
 *****************************************************************************/

/**
 * NLS Resource bundle for sample snap in's 
 * (English NLS)
 *
 * @version 1.1 - 6/8/05
 */

package com.BobCo.snapins;

import java.util.ListResourceBundle;

public class BobCoSnapInsResources_en extends ListResourceBundle 
{
    public Object[][] getContents() 
    {
        return contents;
    }

    private static final Object[][] contents = 
    {
        { "LocalDisk", "Local Disk" },
        { "MB", "MB" },
        { "UsedSpace", "Used Space:" },
        { "NetworkDisk", "Network Connection" },
        { "Ready", "Ready" },
        { "GB", "GB" },
        { "Drive", "Drive" },
        { "Type", "Type:" },
        { "NoLabel", "(drive has no label)" },
        { "FileSystem", "File System:" },
        { "InProgress", "Querying program groups..." },
        { "Label", "Label:" },
        { "ReadingDisk", "Querying logical drive information..." },
        { "Capacity", "Capacity" },
        { "FreeSpace", "Free Space:" },
        { "DMIQuery", "Querying DMI information..." },
        { "SerialNumber", "Serial Number :" },
        { "Manufacturer", "Manufacturer :" },
        { "InstallDate", "Installation Date :" },
        { "Bytes", "bytes" }
    };
}
