package com.BobCo.Hello;

import com.tivoli.twg.engine.TWGExtension;
import com.tivoli.twg.engine.TWGExtensionInitException;
import com.tivoli.twg.engine.TWGExtensionTermException;
import com.tivoli.twg.engine.TWGPersistentObjectSaveException;
import com.tivoli.twg.engine.TWGTask;
import com.tivoli.twg.engine.TWGTaskCreationException;
import com.tivoli.twg.engine.TWGDefaultTask;

public class HelloExtension extends TWGExtension

{ /* class HelloExtension */

   public HelloExtension()  
   { 
      super();
   } 


   /**
    * Second initialization method, intended to allow extension to create default instances of classes
    * registered during InitClassRegistration().
    */
   public void InitClassInstances() throws TWGExtensionInitException
   { 
      System.out.println("HelloExtension.InitClassInstances()");
      if (!TWGTask.isTaskID("BobCo|Hello")) {
         try {
            TWGDefaultTask testTask = new TWGDefaultTask("com/BobCo/hello/HelloTask.properties");
         } catch (TWGTaskCreationException e) {
            e.printStackTrace ();
            System.out.println("TWGTaskCreationException "); 
            throw new TWGExtensionInitException("Error creating Hello default task");
         }
      }

   } 



} /* class HelloExtension */

