/*
 * Created on Nov 19, 2003
 *
 * 
 */
package com.ibm.sysmgt.sdk.remote.test;

import java.util.Vector;
import java.util.List;
import java.util.Map;

import junit.framework.Assert;

import com.ibm.sysmgt.sdk.remote.Attribute;
import com.ibm.sysmgt.sdk.remote.ManagedSystem;
import com.ibm.sysmgt.sdk.remote.ManagedGroup;
import com.ibm.sysmgt.sdk.remote.Task;
import com.ibm.sysmgt.sdk.remote.TaskActivation;
import com.ibm.sysmgt.sdk.remote.RequestFailedException;
import com.ibm.sysmgt.sdk.remote.ServerCommunicationException;
import com.tivoli.twg.libs.DataValue;
import com.tivoli.twg.libs.TWGBoolean;
import com.tivoli.twg.libs.TWGByteArray;
import com.tivoli.twg.libs.TWGInteger;

/**
 * @author Dave Wormald
 *
 * 
 */
public class TestTasks extends SetupToUseDirectorServer {
	/*
	public void testGetStatus() {
		try {
		List l = Task.getAllTasks(s);
		int i = 0;
		while (i < l.size()) {
			Task ta = (Task)l.get(i);
			List ll = TaskActivation.findByTask(s,ta);
			int j=0;
			while (j < ll.size()) {
				TaskActivation taa = (TaskActivation)ll.get(j);
				System.out.println("\nFor Task " + ta + " Task activation status : " + taa.getStatus(s));
				j++; 
			}
			i++;
		}
		} catch (RequestFailedException rfe) {
			rfe.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}		
	}*/
	/*
	public void testFindByTask() {
		try {
		List l = Task.getAllTasks(s);
		int i = 0;
		while (i < l.size()) {
			Task ta = (Task)l.get(i);
			List ll = TaskActivation.findByTask(s,ta);
			int j=0;
			while (j < ll.size()) {
				TaskActivation taa = (TaskActivation)ll.get(j);
				System.out.println("For Task " + ta + " Task activation : " + taa);
				j++; 
			}
			i++;
		}
		} catch (RequestFailedException rfe) {
			rfe.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}		
	}
	*/
	/*
	public void testGetAllTaskActivationsBySystem() {
		try {
			List systemlist = ManagedSystem.getAllSystems(s);
			if (systemlist.size() == 0)
				fail();
			int i= 0;
			while (i < systemlist.size()) {
				ManagedSystem ms = (ManagedSystem)systemlist.get(i);
				List v = TaskActivation.findBySystem(s,ms);
				int j=0;
				while (j < v.size()) {
					TaskActivation ta = (TaskActivation)v.get(j);
					System.out.println("For : " + ms + " TaskActivation :" + ta);
					j++;
				}
				i++;
			}
			} catch (RequestFailedException rfe) {
			rfe.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}		
	}*/
	/*
	public void testFindById() {
		List v = TaskActivation.getAllTaskActivations(s);
		int i = 0;
		while (i < v.size()) {
			TaskActivation ta = (TaskActivation)v.get(i);
			long id = ta.getId();
			TaskActivation another = TaskActivation.findById(s,id);
			System.out.println("Another : " + another);
			i++;
		}
	}
	*/
	
	public void testGetAllTaskActivations() {
		try {
			List v = TaskActivation.getAllTaskActivations(s);
			int i = 0;
			while (i < v.size()) {
				TaskActivation ta = (TaskActivation)v.get(i);
				System.out.println(ta.toString());
				i++;
			}
		} catch (ServerCommunicationException sce) {
		} catch (RequestFailedException rfe) {
		}
	}
	
	/*	
	public void testGetTasksForGroup() {
		try {
			List grouplist = ManagedGroup.getAllGroups(s);
			if (grouplist.size() == 0)
				fail();
			int i = 0;
			while (i < grouplist.size()) {
				ManagedGroup mg = (ManagedGroup)grouplist.get(i);
				Task.getTasksForGroup(s,mg);
				i++;	
			}
		} catch (RequestFailedException rf) {
			rf.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}
	}
	*/
	/*
	public void testGetTasksForSystem() {
		try {
			List systemlist = ManagedSystem.getAllSystems(s);
			if (systemlist.size() == 0)
				fail();
			int i= 0;
			while (i < systemlist.size()) {
				ManagedSystem ms = (ManagedSystem)systemlist.get(i);
				List l = Task.getTasksForSystem(s,ms);
				int j=0;
				while(j<l.size()) {
					Task ta = (Task)l.get(j);
					println(ta.toString() + " <> " + ta.getOid());
					j++;
				}
				i++;
			}
			} catch (RequestFailedException rfe) {
			rfe.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}		
	}
	*/
	/* com.ibm.sysmgt.powerapi.PowerMgmt 
	public void testGetAllTasks() {
		try {
		List l = Task.getAllTasks(s);
		int i = 0;
		while (i < l.size()) {
			Task ta = (Task)l.get(i);
			println(ta.toString() + ta.getOid());
			i++;
		}
		} catch (RequestFailedException rfe) {
			rfe.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}
	} */
	/*
	public void testGetAllTasks() {
		try {
		List l = Task.getAllInteractiveTasks(s);
		int i = 0;
		while (i < l.size()) {
			Task ta = (Task)l.get(i);
			println(ta.toString() + ta.getOid());
			i++;
		}
		} catch (RequestFailedException rfe) {
			rfe.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}
	}*/
	/*
	public void testGetAllChildTasks() {
		String requiredtasks = "com.ibm.sysmgt.powerapi.PowerMgmt";
		Vector requiredtaskslist = new Vector();
		try {
			List l = Task.getAllTasks(s);
			int i = 0;
			while (i < l.size()) {
				Task ta = (Task)l.get(i);
				if (ta.getIdWithParent().indexOf(requiredtasks) != -1)
					requiredtaskslist.add(ta);
				i++;
			}
		} catch (RequestFailedException rfe) {
			rfe.printStackTrace();
		} catch (ServerCommunicationException sce) {
			sce.printStackTrace();
		}
		println(requiredtaskslist.toString());
	}
    */
	/*
	public void testFindTask() {
		long taskid = 0;
		String taskidstring = null;
		try {
			Task ta = Task.findTask(s,taskid,taskidstring);
			println("*********************************");
			println(ta.toString());
		} catch (RequestFailedException rfe) {
		} catch (ServerCommunicationException sce) {
		}
	}
	*/
	/*
	public void testGetActivateTask() {
		try {

			if (s == null)
				fail();

			List systemlist = ManagedSystem.getAllSystems(s);
			if (systemlist.size() == 0)
				fail();

			boolean foundSytem = false;
			DataValue dvUuid = null;
			ManagedSystem system = null;


			int i = 0;
			while (!foundSytem && (i < systemlist.size())) {
				system = (ManagedSystem) systemlist.get(i);
				Map attributeList = system.getSystemAttributes(s);
				println("system '" + system.getLabel());

				Attribute uidAttrib = null;
				Attribute stateAttrib = null;
				Attribute accessDeniedAttrib = null;
				boolean accessDenied = true;
				boolean isDirectorSystem = false;


				Object obj = attributeList.get("NativeMO.uniqueid");
				println("NativeMO.uniqueid=" + obj);
				if (obj != null) {
					uidAttrib = (Attribute) obj;
				}

				obj = attributeList.get("MO.accessdenied");
				println("MO.accessdenied=" + obj);
				if (obj != null) {
					accessDeniedAttrib = (Attribute) obj;
					System.out.println(
						"accessDeniedAttrib.getValue().getDataValueType()="
							+ accessDeniedAttrib.getValue().getDataValueType());
					if (accessDeniedAttrib.getValue().getDataValueType()
						== DataValue.BOOLEAN_TYPE) {
						TWGBoolean b =
							(TWGBoolean) accessDeniedAttrib.getValue();
						accessDenied = b.getValue();
						System.out.println("accessDenied=" + accessDenied);
					}
				}

				obj = attributeList.get("MO.state");
				println("MO.state=" + obj);
				if (obj != null) {
					stateAttrib = (Attribute) obj;
					DataValue dv = stateAttrib.getValue();
					if (dv.getDataValueType() == DataValue.INTEGER_TYPE) {
						TWGInteger objType = (TWGInteger)dv;
						System.out.println("objType.getValue()=" + objType.getValue());
						if (objType.getValue() == 5) {
							isDirectorSystem = true;
						}
					}
				}

				if ((!accessDenied) && (isDirectorSystem)) {
					foundSytem = true;
				}

				i++;
			}

			Assert.assertTrue("no systems to test", foundSytem);

			// found the target system.  now find the inventory task
			List tasks = Task.getAllTasks(s);
			Task inventoryTask = null;
			for (int j=0; ((j<tasks.size()) && (inventoryTask == null)); j++) {
				Task task = (Task)tasks.get(j);
				System.out.println("task="+task);
				if (task.getIdString().equals("RemoteSDKTestTask")) {
					inventoryTask = task;
				}
			}

			Assert.assertTrue("no RemoteSDKTestTask", inventoryTask != null);

			// now we also have the task so activate it
			TaskActivation ta = inventoryTask.activate(s,system);
			Assert.assertNotNull(ta);
			
			List logData = ta.getSystemLog(s);
			
			System.out.println("ta="+ta);

		} catch (Exception e) {
			e.printStackTrace();
			fail(e.getMessage());
		}

	}
	*/
	/**
	 * 
	 */
	public TestTasks() {
		super();
	}

	/**
	 * @param arg0
	 */
	public TestTasks(String arg0) {
		super(arg0);
	}

}
