// Director Event Source SDK Sample
// Licensed Materials - Property of IBM
// PID (5697-TKT)
// (C) Copyright by IBM 1999.  All Rights Reserved.

#ifndef ESSDK_HPP_INCLUDED
#define ESSDK_HPP_INCLUDED

/*

 Watcom: do not include stddef.h or
         stdlib.h before tchar.h

*/

#if defined( __WIN32__ )
#include <windows.h>
#include "nfwincom.hpp"
#elif defined( __OS2__ )
#include "int64.hpp"
#define INCL_DOS
#include <os2.h>
typedef ULARGE_INTEGER DWORDLONG;
#elif defined( __NETWARE__ )
#include <tchar.h>
#include <nwtypes.h>
#include <nwenvrn.h>

#undef BYTE
#undef LONG

#define INCL_DOS
#include <os2.h>
#include "int64.hpp"
typedef ULARGE_INTEGER DWORDLONG;
#endif
#include "evtsub_sdk.hpp"

class EventThread : public Thread

  { /* class EventThread */

  public:

    /* instance methods */

    EventThread( void );
    virtual ~EventThread( void );

    void DoProcessing( void );

  private:

    /* instance methods */

    void indicate( unsigned long identifier, const wchar_t * message );

  }; /* class EventThread */

#endif

